Name:           koules
Version:        1.4
Release:        5%{?dist}
Summary:        Action game with multiplayer, network and sound support

Group:          Amusements/Games
License:        GPLv2
URL:            http://www.ucw.cz/~hubicka/koules/
Source0:        http://www.ucw.cz/~hubicka/koules/packages/%{name}%{version}-src.tar.gz
Source1:        koules.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  xmkmf
BuildRequires:  desktop-file-utils
%ifarch %{ix86} x86_64
BuildRequires:  svgalib-devel
%endif

Requires:       %{name}-sound = %{version}
Requires:       %{name}-x11 = %{version}
%ifarch %{ix86} x86_64
Requires:       %{name}-svgalib = %{version}
%endif

# Shared patches
Patch0:         koules-1.4-clean.patch
Patch1:         koules-1.4-overflows.patch
Patch2:         koules-1.4-spelling.patch

# SVGAlib specific patches
Patch10:        koules-1.4-retrace.patch
Patch11:        koules-1.4-make.patch

# X11 specific patches
Patch20:        koules-1.4-noman.patch
Patch21:        koules-1.4-asmfix.patch
Patch22:        koules-1.4-imake.patch
Patch23:        koules-1.4-shm.patch
Patch24:        koules-1.4-mode.patch

%description
Koules is a fast action arcade-style game.  It works in fine resolution
with cool 256 color graphics, multiplayer mode up to 5 players, full sound
and, of course, network support.  Koules is an original idea. First version
of Koules was developed from scratch by Jan Hubicka in July 1995.


%ifarch %{ix86} x86_64
%package svgalib
Summary:        SVGAlib based variant of a multiplayer action game
Group:          Amusements/Games

%description svgalib
This package contains variant of a classic Linux arcade game with SVGAlib
support and can act as a network server for multiplayer game.  Use of this
package is discouraged as it needs to be run by privileged user unless used
as a network server.  Use koules-x11 package instead whenever possible.
%endif


%package x11
Summary:        X Window system variant of a multiplayer action game
Group:          Amusements/Games
Requires:       xorg-x11-fonts-misc

%description x11
This package contains variant of a classic Linux arcade game with X Window
System support and can act as a network server for multiplayer game.


%package sound
Summary:        Sound files for a classic Linux multiplayer action game
Group:          Amusements/Games

%description sound
This package contains sound files for a classic Linux arcade game. To make
sound functioning in Koules you either need to ensure exclusive access to
sound hardware for the game, or use a /dev/dsp wrapper such as padsp from
pulseaudio-utils package.


%define bindir          BINDIR=%{_bindir}
%define sounddir        SOUNDDIR=%{_datadir}/%{name}/sound
%define mandir          MANDIR=%{_mandir}/man6
%define libexecdir      LIBEXECDIR=%{_libexecdir}/%{name}
%define makedirs        %{bindir} %{sounddir} %{mandir} %{libexecdir}


%prep
%ifarch %{ix86} x86_64
# SVGAlib variant build tree
%setup -q -n %{name}-%{version}-svga -c
cd %{name}%{version}
%patch0 -p1 -b .clean
%patch1 -p1 -b .overflows
%patch2 -p1 -b .spelling
%patch10 -p1 -b .retrace
%patch11 -p1 -b .make
%endif

# X11 variant build tree
%setup -q -n %{name}-%{version}-x11 -c
cd %{name}%{version}
%patch0 -p1 -b .clean
%patch1 -p1 -b .overflows
%patch2 -p1 -b .spelling
%patch20 -p1 -b .noman
%patch21 -p1 -b .asmfix
%patch22 -p1 -b .imake
%patch23 -p1 -b .shm
%patch24 -p1 -b .mode


%build
%ifarch %{ix86} x86_64
# Build SVGAlib variant
cd $RPM_BUILD_DIR/%{name}-%{version}-svga/%{name}%{version}
# Builds with multiple concurrent jobs are problematic
make -f Makefile.svgalib %{makedirs} CFLAGS="%{optflags}"
%endif

# Build X11 variant
cd $RPM_BUILD_DIR/%{name}-%{version}-x11/%{name}%{version}
echo '#define HAVEUSLEEP' >>Iconfig
xmkmf -a
make %{makedirs} CCOPTIONS="%{optflags}"


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man6
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/sound
install -d $RPM_BUILD_ROOT%{_libexecdir}/%{name}

%ifarch %{ix86} x86_64
# Install SVGAlib variant
cd $RPM_BUILD_DIR/%{name}-%{version}-svga/%{name}%{version}
make -f Makefile.svgalib install %{makedirs} DESTDIR=$RPM_BUILD_ROOT \
        INSTALLSOUND=False
%endif

# Install X11 variant, and sound
cd $RPM_BUILD_DIR/%{name}-%{version}-x11/%{name}%{version}
make install %{makedirs} DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install Icon.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.xpm
desktop-file-install --vendor fedora                    \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
        %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{name}%{version}/ANNOUNCE
%doc %{name}%{version}/BUGS
%doc %{name}%{version}/COPYING
%doc %{name}%{version}/Card
%doc %{name}%{version}/ChangeLog
%doc %{name}%{version}/Koules.FAQ
%doc %{name}%{version}/README
%doc %{name}%{version}/TODO

%files sound
%defattr(-,root,root,-)
%{_datadir}/%{name}
%{_libexecdir}/%{name}

%ifarch %{ix86} x86_64
%files svgalib
%attr(755,root,root) %{_bindir}/koules.svga
%attr(644,root,root) %{_mandir}/man6/koules.svga.6*
%endif

%files x11
%{_bindir}/xkoules
%attr(644,root,root) %{_mandir}/man6/xkoules.6*
%attr(644,root,root) %{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/fedora-koules.desktop


%changelog
* Mon Mar 16 2009 Lubomir Rintel <lkundrak@v3.sk> 1.4-5
- Require fonts
- Fix Xshm support

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 1 2008 Lubomir Rintel <lkundrak@v3.sk> 1.4-3
- Own /usr/libexec/koules (#473931)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4-2
- Autorebuild for GCC 4.3

* Sun Oct 28 2007 Lubomir Kundrak <lkundrak@redhat.com> 1.4-1
- From Red Hat Linux 4.2 back into life
